/* --------------------------------

Media queries

-------------------------------- */

$screen-sm-min: 576px;
$screen-md-min: 768px;
$screen-lg-min: 992px;
$screen-xl-min: 1200px;

// Small tablets and large smartphones (landscape view)
@mixin sm {
  @media (min-width: #{$screen-sm-min}) {
    @content;
  }
}

// Small tablets (portrait view)
@mixin md {
  @media (min-width: #{$screen-md-min}) {
    @content;
  }
}

// Tablets and small desktops
@mixin lg {
  @media (min-width: #{$screen-lg-min}) {
    @content;
  }
}

// Large tablets and desktops
@mixin xl {
  @media (min-width: #{$screen-xl-min}) {
    @content;
  }
}

// Custom devices
@mixin rwd($screen) {
  @media (min-width: $screen + "px") {
    @content;
  }
}
